> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Managed User

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

To generate a new managed user, the minimal information that will be required
will be a name and an email address for the managed user.

<Note>
  The email address supplied when creating a managed user must be unique. It
  cannot already be associated with an existing Box user.
</Note>

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X POST "https://api.box.com/2.0/users" \
       -H "authorization: Bearer <ACCESS_TOKEN>" \
       -H "content-type: application/json" \
       -d '{
         "login": "ceo@example.com",
         "name": "Aaron Levie"
       }'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.users.createUser({
    name: userName,
    login: userLogin,
    isPlatformAccessOnly: true,
  } satisfies CreateUserRequestBody);
  ```

  ```python Python v10 theme={null}
  client.users.create_user(user_name, login=user_login, is_platform_access_only=True)
  ```

  ```cs .NET v10 theme={null}
  await client.Users.CreateUserAsync(requestBody: new CreateUserRequestBody(name: userName) { Login = userLogin, IsPlatformAccessOnly = true });
  ```

  ```swift Swift v10 theme={null}
  try await client.users.createUser(requestBody: CreateUserRequestBody(name: userName, login: userLogin, isPlatformAccessOnly: true))
  ```

  ```java Java v10 theme={null}
  client.getUsers().createUser(new CreateUserRequestBody.Builder(userName).login(userLogin).isPlatformAccessOnly(true).build())
  ```

  ```java Java v5 theme={null}
  BoxUser.Info createdUserInfo = BoxUser.createEnterpriseUser(api, "user@example.com", "A User");
  ```

  ```python Python v4 theme={null}
  new_user = client.create_user('Temp User', 'user@example.com')
  ```

  ```cs .NET v6 theme={null}
  var userParams = new BoxUserRequest()
  {
      Name = "Example User",
      Login = "user@example.com"
  };
  BoxUser newUser = await client.UsersManager.CreateEnterpriseUserAsync(userParams);
  ```

  ```javascript Node v4 theme={null}
  client.enterprise.addUser(
  	'eddard@winterfell.example.com',
  	'Ned Stark',
  	{
  		role: client.enterprise.userRoles.COADMIN,
  		address: '555 Box Lane',
  		status: client.enterprise.userStatuses.CANNOT_DELETE_OR_EDIT
  	})
  	.then(user => {
  		/* user -> {
  			type: 'user',
  			id: '44444',
  			name: 'Ned Stark',
  			login: 'eddard@winterfell.example.com',
  			created_at: '2012-11-15T16:34:28-08:00',
  			modified_at: '2012-11-15T16:34:29-08:00',
  			role: 'coadmin',
  			language: 'en',
  			timezone: 'America/Los_Angeles',
  			space_amount: 5368709120,
  			space_used: 0,
  			max_upload_size: 2147483648,
  			status: 'active',
  			job_title: '',
  			phone: '',
  			address: '555 Box Lane',
  			avatar_url: 'https://www.box.com/api/avatar/large/deprecated' }
          */
  	});
  ```
</CodeGroup>

To see all available optional parameters that may be set when creating an app
user, see the <Link href="/reference/post-users">create user endpoint</Link>.

<Note>
  Before you can make any changes to the newly created account, you need to
  click the link you receive in the confirmation email.
</Note>

A user object will be returned from the create user request. Within the user
object is an ID for the managed user, which may be used to make API requests to
modify the user in the future.

Once a new managed user is created the email address used will receive an email
from Box asking them to create a password for the account. The account will be
in a `pending` state until that action has taken place.

<Note>
  For security reasons passwords cannot be supplied when creating a new managed
  user
</Note>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Create user"), href: "/reference/post-users", badge: "POST" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Create App User"), href: "/guides/users/create-app-user", badge: "GUIDE" },
{ label: translate("Deprovision Users"), href: "/guides/users/deprovision/index", badge: "GUIDE" },
{ label: translate("Transfer Files & Folders"), href: "/guides/users/deprovision/transfer-folders", badge: "GUIDE" }
]}
/>
